Bug 120569 - Custom Animation Sound Effect Not Played After ODP File Moved To Another Location
Summary: Custom Animation Sound Effect Not Played After ODP File Moved To Another Loca...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Object-Animations
  Show dependency treegraph
 
Reported: 2018-10-13 16:44 UTC by Luke
Modified: 2021-02-16 04:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Presentation created in Windows (12.37 KB, application/vnd.oasis.opendocument.presentation)
2018-10-13 16:46 UTC, Luke
Details
Presentation created in Linux (13.02 KB, application/vnd.oasis.opendocument.presentation)
2018-10-13 16:47 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2018-10-13 16:44:57 UTC
This is a spin off of Bug 40780. If you create an impress presentation with animation sound effects in Windows those sound effect will not play in  Linux and vice versa. 


Steps to Reproduce:
1. In Windows create a new Impress presentation
2. Insert a shape
3. Add a Custom Animation
4. Add a sound effect Animation Options -> Enhancement -> Sound
5. Preview the sound to verify it works
6. Save
7. Copy the presentation to Linux
8. Open
9. Animation Options -> Enhancement -> Sound
10. Preview the sound effect

Expected Results:
Sound effect will play

Actual Results
No sound will play in Linux with Windows file or play in Windows with a Linux created file.

Note: In Linux, neither the animation preview nor the actual slideshow will play the sound. This is covered in Bug 40780. 

bug 40780, comment 31 discusses how the sound file name may be incorrectly saved.
Comment 1 Luke 2018-10-13 16:46:43 UTC
Created attachment 145680 [details]
Presentation created in Windows
Comment 2 Luke 2018-10-13 16:47:26 UTC
Created attachment 145682 [details]
Presentation created in Linux
Comment 3 Luke 2018-10-13 17:16:59 UTC
Moved windows file locally and sounds played. Moved file to another Windows machine, and sound did not play in preview. 

When the sound does not play, it shows up as a duplicate at the bottom of the sound list.
Comment 4 Buovjaga 2018-10-14 06:40:01 UTC
NEW per spin off
Comment 6 Luke 2019-01-08 23:38:32 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2021-02-16 04:10:04 UTC
Dear Luke,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug